input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.field {
    margin: 0;
    width: 100%;
    height: rem(50);
    outline: none;
    color: #1D1D1B;
    font-size: rem(14);
    line-height: rem(20);
    padding: rem(14) rem(15);
    display: inline-block;
    background: #FAFAFA;
    border: rem(1) solid #E8EBF0;
    border-radius: rem(3);
    @include placeholder(#BDBDBD);

    &:focus {
        @include placeholder(transparent);
    }

    &.error {
        color: red;
        border-color: red;
    }
}

textarea.field {
    height: auto;
    resize: none;
}

.form-select {
    margin: 0;
    width: 100%;
    height: rem(50);
    outline: none;
    color: #1D1D1B;
    box-shadow: none;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(20);
    padding: rem(14) rem(40) rem(14) rem(20);
    background: #FAFAFA url('../img/icon__select.png') 100% 50% no-repeat;
    border-radius: rem(8);
    display: inline-block;
    vertical-align: middle;
    border: rem(1) solid #E8EBF0;
    box-shadow: none;
    @include placeholder(#808080);

    -moz-appearance    : none;
    text-indent        : 0.01px;
    text-overflow      : '';
    -ms-appearance     : none;
    appearance         : none !important;

    &::-ms-clear {
        display: none;
        width: 0;
        height: 0;
    }

    &:focus,
    &:active {
        outline: none;
    }
}

.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    input {
        top: 0;
        left: 0;
        opacity: 0;
        width: 1px;
        height: 1px;
        visibility: hidden;
        position: absolute;
    }

    span {
        color: #1D1D1B;
        cursor: pointer;
        font-weight: 700;
        font-size: rem(12);
        line-height: rem(16);
        position: relative;
        padding-left: rem(24);
        display: inline-block;

        &::before {
            top: 1px;
            left: 1px;
            z-index: 1;
            content: '';
            width: rem(14);
            height: rem(14);
            display: block;
            position: absolute;
            border-radius: rem(2);
            border: rem(1) solid #1D1D1B
        }

        &:after {
            top: 0;
            left: 0;
            z-index: 2;
            content: '';
            width: rem(16);
            height: rem(16);
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: url('../img/icon__checkbox.svg') 50% 50% no-repeat;
        }
    }

    input:checked + span {

        &::before {
            opacity: 0;
            visibility: hidden;
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }
    }

    input:disabled + span {
        opacity: 0.4;
    }
}

.checkbox-md {

    span {
        font-size: rem(16);
        line-height: rem(22);
        padding-left: rem(34);

        &:before {
            top: 0;
            left: 0;
            width: rem(22);
            height: rem(22);
            border-radius: rem(4);
            border-color: $gray-100;
        }

        &:after {
            top: rem(5);
            left: rem(5);
            width: rem(12);
            height: rem(12);
            border-radius: rem(2);
            background: $gray-200;

        }
    }

    input:checked + span {

        &::before {
            opacity: 1;
            visibility: visible;
            border-color: $gray-200;
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }
    }
}

.form-group {
    margin-bottom: rem(16);
}

.label {
    display: block;
    font-weight: 600;
    font-size: rem(14);
    line-height: rem(18);
    margin-bottom: rem(5);
}

